package com.hzs.sale.postage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.sale.postage.BdPostage;
import com.hzs.sale.postage.params.PostageParams;
import com.hzs.sale.postage.vo.PostageVo;

import java.util.List;

/**
 * 邮费设置 服务类
 *
 * @author hzs
 * @since 2022-08-27
 */
public interface IBdPostageService extends IService<BdPostage> {

    /**
     * 生成邮费模板
     *
     * @param postageParams
     * @return
     */
    void insertPostage(PostageParams postageParams);

    /**
     * 修改邮费模板
     *
     * @param postageParams
     */
    void updatePostage(PostageParams postageParams);

    /**
     * 根据id 查询相关邮费模板信息
     *
     * @param postageId
     * @return
     */
    BdPostage getPostage(Integer postageId);

    /**
     * 删除
     *
     * @param pkId
     */
    void deletePostage(Integer pkId);

    /**
     * 生成特殊邮费表
     *
     * @param pkPostage
     * @param isSpecialPostage
     * @return
     */
    Integer createWaresSpecialPostage(Integer pkPostage, Integer isSpecialPostage);

    /**
     * 查询邮费列表
     *
     * @return
     */
    List<PostageVo> selectByList(Integer pkCountry);
}
